type: object
description: Request body for updating a dimension
properties:
  name:
    type: string
    description: Name of the dimension in Moss. Cannot be blank or contain leading/trailing whitespace. If not provided or null, the name will not be updated.
    minLength: 1
    pattern: '^\S(.*\S)?$'
    x-pattern-message: 'must not be blank or contain leading/trailing whitespace'
    example: "Project ID Updated"
  erpName:
    type: [string, "null"]
    description: Name of the dimension in the external system. Cannot be blank or contain leading/trailing whitespace.
    minLength: 1
    pattern: '^\S(.*\S)?$'
    x-pattern-message: 'must not be blank or contain leading/trailing whitespace'
    example: "Project Identifier Updated"
required:
  - erpName
